import { Platform, StyleSheet } from "react-native";
import { Color } from "../helper/colors";
import { isTablet, screenWidth } from "../Platforms";
import { horizontal, vertical } from "../Scales";

export default globalStyles = StyleSheet.create({
  button: {
    marginTop: 20,
    alignSelf: "stretch",
    height: 50,
    marginStart: !isTablet ? horizontal(10) : 0,
    backgroundColor: Color.bg_button_common,
    alignItems: "center",
    justifyContent: "center",
    borderRadius: 8,
  },

  textInput: {
    height: vertical(50),
    borderWidth: 1,
    alignSelf: "stretch",
    fontSize: 15,
    borderRadius: 8,
    borderColor: Color.cl_border_text_input,
    backgroundColor: Color.white,
    paddingStart: 10,
    color: Color.black,
  },
  textButton: {
    color: Color.white,
    fontWeight: "bold",
  },
  input: {
    width: screenWidth - horizontal(15) * 2 - 2,
    height: 54,
    borderWidth: 1,
    borderRadius: 5,
    backgroundColor: Color.white,
    padding: 15,
    color: Color.color_unactive,
    fontSize: 14,
    lineHeight: 16,
    borderColor: Color.cl_border_text_input,
    borderWidth: 1,
  },
  roundButton: {
    width: 50,
    height: 50,
    borderRadius: 25,
    backgroundColor: Color.base_color,
    alignItems: "center",
    justifyContent: "center",
    paddingVertical: 10,
    ...Platform.select({
      ios: {
        shadowColor: Color.base_color,
        shadowOpacity: 0.5,
        elevation: 5,
        shadowRadius: 10,
        shadowOffset: { width: 0, height: 10 },
      },
      android: {
        elevation: 3,
      },
    }),
  },
  textConfirm: {
    height: 50,
    alignSelf: "stretch",
    marginVertical: 5,
    marginStart: horizontal(10),
    fontSize: 15,
    borderRadius: 8,
    backgroundColor: Color.white,
    paddingStart: 10,
    // fontFamily: Constants.FONT_HIRAGINO,
    color: Color.black,
    paddingEnd: 10,
  },
  text_err: {
    alignSelf: "center",
    marginTop: 15,
    color: Color.cl_text_requied,
    fontWeight: "bold",
  },
  mess_err: {
    color: Color.cl_text_requied,
    fontWeight: "bold",
    fontSize: 12,
    marginStart: horizontal(10),
  },
  hiddenIcon: {
    position: "absolute",
    right: 18,
    alignSelf: "center",
  },
  containIconTab: {
    position: "absolute",
    top: 0,
    alignItems: "center",
    justifyContent: "space-between",
    height: "85%",
  },
  emptyTabbar: {
    width: 24,
    height: 4,
  },
  cmTwoButtonLeft: {
    width: "100%",
    backgroundColor: Color.white,
    alignItems: "center",
    justifyContent: "center",
    paddingVertical: 13.5,
    borderWidth: 1,
    borderColor: Color.text_color,
    height: 55,
  },
  textButtonLeft: {
    color: Color.text_color,
    fontSize: 14,
    fontWeight: "bold",
  },
  cmTwoButtonRight: {
    width: "100%",
    backgroundColor: Color.bg_cm_button,
    alignItems: "center",
    justifyContent: "center",
    paddingVertical: 13.5,
    borderWidth: 1,
    borderColor: Color.bg_cm_button,
    height: 55,
  },
  textButtonRight: {
    color: Color.white,
    fontSize: 14,
    fontWeight: "bold",
  },
});
